Skip to content

Get employee wallet balances

Request

Security
oauth2ClientCredentials(Required scopes: employees:read)
Query
employee_idstringrequired

Employee identifier

Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/employees/balances?employee_id=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Employee wallet balances

Bodyapplication/json
Array [
walletIdstring

Wallet ID

accnostring

Account number

currencystring

Currency code

availableBalancenumber

Available balance

walletTypestring

Wallet type

]
Response
[ { "walletId": "string", "accno": "string", "currency": "string", "availableBalance": 0, "walletType": "string" } ]